module ClientPages
  class Template
    class << self
      def templates
        @templates ||= {}
      end

      def template(name, &settings)
        templates[name] = Proc.new(&settings)
      end

      def [](template)
        templates[template]
      end

      def templating(&block)
        instance_eval(&block)
      end
    end
  end
end
